Bug 1418196 - Changing bitmap location no longer emits change uevent
Summary: Changing bitmap location no longer emits change uevent
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mdadm
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: XiaoNi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 09:20 UTC by Vojtech Trefny
Modified: 2018-05-29 11:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:20:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Vojtech Trefny 2017-02-01 09:20:14 UTC
Description of problem:

Changing bitmap location for an mdraid no longer emits a change uevent on the md device. Change uevent occurs only for the member devices and only when changing the location to "internal" and not when changing it to "none".

On rawhide (mdadm - v4.0 - 2017-01-09):

sudo mdadm --grow /dev/md127 --bitmap internal

KERNEL[160059.548398] change   /devices/pci0000:00/0000:00:09.0/virtio4/block/vdb/vdb4 (block)
KERNEL[160059.550344] change   /devices/pci0000:00/0000:00:0b.0/virtio6/block/vdd/vdd1 (block)
UDEV  [160059.561255] change   /devices/pci0000:00/0000:00:0b.0/virtio6/block/vdd/vdd1 (block)
UDEV  [160059.564574] change   /devices/pci0000:00/0000:00:09.0/virtio4/block/vdb/vdb4 (block)

sudo mdadm --grow /dev/md127 --bitmap none

(nothing)

On Fedora 25 (mdadm - v3.4 - 28th January 2016):

sudo mdadm --grow /dev/md127 --bitmap internal

KERNEL[941014.804944] change   /devices/pci0000:00/0000:00:09.0/virtio4/block/vdb/vdb2 (block)
UDEV  [941014.813534] change   /devices/pci0000:00/0000:00:09.0/virtio4/block/vdb/vdb2 (block)
KERNEL[941014.818452] change   /devices/pci0000:00/0000:00:0e.0/virtio9/block/vdg/vdg1 (block)
UDEV  [941014.823177] change   /devices/pci0000:00/0000:00:0e.0/virtio9/block/vdg/vdg1 (block)
KERNEL[941015.994887] change   /devices/virtual/block/md127 (block)
UDEV  [941016.009080] change   /devices/virtual/block/md127 (block)


sudo mdadm --grow /dev/md127 --bitmap none

KERNEL[941087.396965] change   /devices/virtual/block/md127 (block)
UDEV  [941087.413503] change   /devices/virtual/block/md127 (block)

Comment 2 Vojtech Trefny 2017-02-02 07:17:25 UTC
Sorry, I forgot to mention why this is a problem. Storaged[1] (udisks2) uses uevents to update values of properties of block devices on DBus. If someone changes bitmap location using mdadm (or just any other tool than storaged itself) the change uevent is the only way we can know about it and update value of the property on DBus.


[1] http://storaged.org/

Comment 3 Fedora End Of Life 2017-02-28 11:09:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Fedora End Of Life 2018-05-03 08:05:45 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2018-05-29 11:20:08 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.